---
updatedAt: 2026-09-08T20:26:09.000Z
agentTools:
  projectIndex: https://docs.observeinc.com/llms.txt
---

# Get an API token

Retrieve a specific API token by ID

# OpenAPI definition

````json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Observe by Snowflake API",
    "description": "# Overview\nWelcome to the Observe API Docs!\n\nThe Observe API is a RESTful API. POST bodies and responses are typically JSON-encoded.\n\n## Authentication\nRequests to the Observe API are authenticated with an API token. The token can be supplied using HTTP Bearer authentication:\n```\n// passing token as bearer token\ncurl -H \"Authorization: Bearer <customerid> <token>\" https://<customerid>.<observe-domain>.com/v1/...\n```\n",
    "version": "1.0.230307"
  },
  "servers": [
    {
      "url": "https://{customerid}.observeinc.com",
      "description": "US west server",
      "variables": {
        "customerid": {
          "default": "OBSERVE_CUSTOMERID",
          "description": "The customer ID for your instance."
        }
      }
    },
    {
      "url": "https://{customerid}.{cluster}.observeinc.com",
      "description": "Specific regional cluster (prod)",
      "variables": {
        "customerid": {
          "default": "OBSERVE_CUSTOMERID",
          "description": "The customer ID for your instance."
        },
        "cluster": {
          "enum": [
            "eu-1",
            "ap-1"
          ],
          "default": "eu-1",
          "description": "For regional clusters, choose one."
        }
      }
    },
    {
      "url": "https://{customerid}.{domain}.com",
      "description": "Specific Observe server",
      "variables": {
        "customerid": {
          "default": "OBSERVE_CUSTOMERID",
          "description": "The customer ID for your instance."
        },
        "domain": {
          "default": "OBSERVE_DOMAIN",
          "description": "The Observe domain for your instance."
        }
      }
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "ServiceAccounts",
      "x-displayName": "Service Account",
      "description": "Manage service accounts and api tokens. Learn more about [service accounts](https://docs.observeinc.com/docs/service-accounts).\n"
    }
  ],
  "paths": {
    "/v1/service-accounts/{accountId}/api-tokens/{tokenId}": {
      "get": {
        "summary": "Get an API token",
        "description": "Retrieve a specific API token by ID",
        "operationId": "GetApiToken",
        "tags": [
          "ServiceAccounts"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "accountId",
            "schema": {
              "type": "string",
              "format": "int64"
            },
            "required": true,
            "description": "The id of the service account associated with the API token",
            "example": 1
          },
          {
            "in": "path",
            "name": "tokenId",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "The id of the API token to update",
            "example": 1
          },
          {
            "$ref": "#/components/parameters/ExpandParam"
          }
        ],
        "responses": {
          "200": {
            "description": "API token queried successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiToken-Resource"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/ErrorResponse-400"
          },
          "401": {
            "$ref": "#/components/responses/ErrorResponse-401"
          },
          "403": {
            "$ref": "#/components/responses/ErrorResponse-403"
          },
          "404": {
            "$ref": "#/components/responses/ErrorResponse-404"
          },
          "429": {
            "$ref": "#/components/responses/ErrorResponse-429"
          },
          "5XX": {
            "$ref": "#/components/responses/ErrorResponse-5XX"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Authorization: Bearer <customerid> <apitoken>\n"
      }
    },
    "schemas": {
      "ObjectId": {
        "type": "string",
        "format": "ObjectId"
      },
      "User": {
        "title": "User",
        "type": "object",
        "required": [
          "id"
        ],
        "properties": {
          "id": {
            "title": "User Identifier",
            "$ref": "#/components/schemas/ObjectId"
          },
          "label": {
            "title": "User Label",
            "type": "string"
          },
          "timezone": {
            "type": "string"
          },
          "locale": {
            "type": "string"
          }
        }
      },
      "ErrorMessage": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "A stable, machine-readable identifier for the kind of error."
          },
          "message": {
            "type": "string",
            "description": "Error message"
          }
        },
        "required": [
          "type",
          "message"
        ]
      },
      "Time": {
        "type": "string",
        "format": "RFC3339"
      },
      "ApiTokenScope": {
        "type": "string",
        "enum": [
          "api:read",
          "api:write",
          "unscoped"
        ]
      },
      "ApiToken-Resource": {
        "title": "ApiTokenObject",
        "type": "object",
        "required": [
          "id",
          "label",
          "description",
          "expiration",
          "createdBy",
          "createdAt",
          "updatedBy",
          "updatedAt",
          "disabled"
        ],
        "properties": {
          "id": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "expiration": {
            "$ref": "#/components/schemas/Time"
          },
          "createdBy": {
            "$ref": "#/components/schemas/User"
          },
          "createdAt": {
            "$ref": "#/components/schemas/Time"
          },
          "updatedBy": {
            "$ref": "#/components/schemas/User"
          },
          "updatedAt": {
            "$ref": "#/components/schemas/Time"
          },
          "disabled": {
            "type": "boolean"
          },
          "scopes": {
            "type": "array",
            "description": "The token's effective scopes. An empty/omitted list means the token is unscoped.",
            "items": {
              "$ref": "#/components/schemas/ApiTokenScope"
            }
          },
          "secret": {
            "type": "string",
            "description": "The secret for the API token. Only returned on create."
          }
        }
      }
    },
    "parameters": {
      "ExpandParam": {
        "name": "expand",
        "in": "query",
        "description": "Whether to expand resources referenced in the response to include additional fields",
        "schema": {
          "type": "boolean"
        }
      }
    },
    "responses": {
      "ErrorResponse-400": {
        "description": "Bad request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorMessage"
            }
          }
        }
      },
      "ErrorResponse-401": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorMessage"
            }
          }
        }
      },
      "ErrorResponse-403": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorMessage"
            }
          }
        }
      },
      "ErrorResponse-404": {
        "description": "Resource not found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorMessage"
            }
          }
        }
      },
      "ErrorResponse-429": {
        "description": "Rate limit reached",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorMessage"
            }
          }
        }
      },
      "ErrorResponse-5XX": {
        "description": "Internal server error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorMessage"
            }
          }
        }
      }
    }
  }
}
````